Bug 1653679 - Multilib file conflicts
Summary: Multilib file conflicts
Keywords:
Status: CLOSED DUPLICATE of bug 1646883
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1653683 1646883 1653682
Blocks: 1653676
TreeView+ depends on / blocked
 
Reported: 2018-11-27 12:03 UTC by Jaroslav Mracek
Modified: 2018-11-27 12:35 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1646883
Environment:
Last Closed: 2018-11-27 12:35:21 UTC


Attachments (Terms of Use)

Description Jaroslav Mracek 2018-11-27 12:03:32 UTC
+++ This bug was initially created as a clone of Bug #1646883 +++

Description of problem:

Issue "dnf update" on my Fedora 28 installation. Results in "Transaction check error".

Version-Release number of selected component (if applicable):

Fedora 28

How reproducible:

Issue "dnf update"

Steps to Reproduce:
1.
2.
3.

Actual results:

transaction check error

Expected results:

updates system.

Additional info:

see attached file (output of dnf update )

--- Additional comment from Jaroslav Mracek on 2018-11-27 06:53:56 EST ---

The issue is created by file conflict as a result of packaging issue. I ceated an issue (https://pagure.io/packaging-committee/issue/834) to ask packaging committee for recommended solution and to enhance packaging guidelines.

From your report I can see that the issue is related to list of following packages:
p11-kit
gnutls
elfutils-libelf
glib2
pcre2


Please can you

--- Additional comment from Jaroslav Mracek on 2018-11-27 06:59:15 EST ---

Because the issue in packaging of other packages - changing component.

Please can you solve the issue in your package? You can use following solution or wait for packaging committee for recommendation:

Conflict can help:
Conflicts: <pkg_name> < %{version}-%{release}

Or movement of shared files into noarch package could also help.

Comment 1 Mark Wielaard 2018-11-27 12:32:48 UTC
I don't believe this is a bug in the package, it looks like a bug in DNF. Note that you somehow are trying to install different versions of the package at the same time. That is what is also said in the https://pagure.io/packaging-committee/issue/834. This was handled correctly by yum and should also be handled by dnf.

Moving to the dnf package.

Comment 2 Tomas Mraz 2018-11-27 12:35:21 UTC

*** This bug has been marked as a duplicate of bug 1646883 ***


Note You need to log in before you can comment on or make changes to this bug.